Skip to main content
GET
/
v1
/
positions
List positions
curl --request GET \
  --url https://api.foresight.now/v1/positions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "condition_id": "<string>",
      "chain_id": 56,
      "token_id": "<string>",
      "size": "<string>",
      "avg_price": "<string>",
      "current_value": "<string>",
      "realized_pnl": "<string>"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Privy-issued JWT. Required for L1 routes; accepted on L2 routes.

Query Parameters

chain_id
integer
Example:

56

cursor
string | null

Opaque cursor from the prior response's next_cursor.

limit
integer
default:20
Required range: 1 <= x <= 100

Response

OK

data
object[]
required
next_cursor
string | null
required
has_more
boolean
required